JEKYLL(1)

NAME
Jekyll - is a blogaware, static site generator.

USAGE

jekyll
    # . -> ./_site

jekyll <path to write generated site>
    # . -> <path>

jekyll <path to source> <path to write generated site>
    # <path> -> <path>

jekyll import <importer name> <options>
    # imports posts using named import script

    Configuration is read from '<source>/_config.yml' but can be overridden using the following options:

OPTIONS

--file [PATH]
    File to import from

--dbname [TEXT]
    DB to import from

--user [TEXT]
    Username to use when importing

--pass [TEXT]
    Password to use when importing

--host [HOST ADDRESS]
    Host to import from

--site [SITE NAME]
    Site to import from

--[no-]safe
    Safe mode (default unsafe)

--[no-]auto
    Auto-regenerate

--server [PORT]
    Start web server (default port 4000)

--no-server
    Do not start a web server

--base-url [BASE_URL]
    Serve website from a given base URL (default '/'

--[no-]lsi
    Use LSI for better related posts

--[no-]pygments
    Use pygments to highlight code

--rdiscount
    Use rdiscount gem for Markdown

--redcarpet
    Use redcarpet gem for Markdown

--kramdown
    Use kramdown gem for Markdown

--time [TIME]
    Time to generate the site for

--[no-]future
    Render future dated posts

--permalink [TYPE]
    Use 'date' (default) for YYYY/MM/DD

--paginate [POSTS_PER_PAGE]
    Paginate a blog's posts

--limit_posts [MAX_POSTS]
    Limit the number of posts to publish

--url [URL]
    Set custom site.url

--version
    Display current version

AUTHOR
This manual page was written by Youhei SASAKI <uwabami@gfd-dennou.org>, for the Debian GNU/Linux system(but may be used by others).